function detectOS() {
    var ua = navigator.userAgent;
    var os = {},
        android = ua.match(/([a|A]ndroid)[\s\/]*([\d.]+)/),
        ipad = ua.match(/(iPad).*OS\s([\d_]+)/),
        iphone = !ipad && ua.match(/(iPhone\sOS)\s([\d_]+)/);
    if (/android/i.test(ua) || (/UCBrowser/i.test(ua) && /Adr[\s\/]*([\d.]+)/.test(ua))) {
        os.android = true;
        if (android) {
            os.version = android[2];
        }
    }
    if (!(os.android) && /(iPhone|iPad|iPod|iOS)/g.test(ua)) {
        os.ios = true;
        if (iphone) {
            os.iphone = true, os.version = iphone[2].replace(/_/g, ".");
        }
        if (ipad) {
            os.ipad = true, os.version = ipad[2].replace(/_/g, ".");
        }
    }
    if (!(os.android) && !(os.ios) && !(os.ipad)) {
        os.other = true;
    }
    return os;
}

var os = detectOS();

function registJavaFunction() {

    if (os.ios || os.ipad) {
        function setupWebViewJavascriptBridge(callback) {
            if (window.WebViewJavascriptBridge) {
                return callback(WebViewJavascriptBridge);
            }
            if (window.WVJBCallbacks) {
                return window.WVJBCallbacks.push(callback);
            }
            window.WVJBCallbacks = [callback];
            var WVJBIframe = document.createElement('iframe');
            WVJBIframe.style.display = 'none';
            WVJBIframe.src = 'wvjbscheme://__BRIDGE_LOADED__';
            document.documentElement.appendChild(WVJBIframe);
            setTimeout(function () {
                document.documentElement.removeChild(WVJBIframe)
            }, 0)
        }
        setupWebViewJavascriptBridge(function (bridge) {
            bridge.registerHandler('JSHandler', function (data, responseCallback) {
                responseCallback(data)
            })
        })
    }
}

function setPageInfo(menu_width, news_height) {
    try {
        if (os.ios || os.ipad) {
            window.WebViewJavascriptBridge.callHandler('setPageInfo', {"menu_width":menu_width, "news_height":news_height}, function (response) {
            });
        } else {
            MallInterface.setPageInfo(menu_width, news_height);
        }
    } catch (e) {

    }
}

registJavaFunction();

function getByClass(parent, cls){
  if(parent.getElementsByClassName){
    return parent.getElementsByClassName(cls);
  }else{
    var res = [];
    var reg = new RegExp(' ' + cls + ' ', 'i')
    var ele = parent.getElementsByTagName('*');
    for(var i = 0; i < ele.length; i++){
      if(reg.test(' ' + ele[i].className + ' ')){
        res.push(ele[i]);
      }
    }
    return res;
  }
}

function getNewsUrls() {
	var newslists = document.getElementById("J_news_list");
	var newsUrls = new Array();
	console.log("orderlists length"+newslists.length);
	
	if(newslists != null) {
		var lis = getByClass(newslists, "J-news");
		if(lis != null && lis.length > 0) {
			for(var x = 0; x<lis.length;x++) {

				console.log("x"+x);
				var url = lis[x].href;
				newsUrls.push(url);

			}
			
			
		}
		
	}
    var menu = document.getElementById("J_top_menu");
    var menu_width = document.getElementById("J_top_menu").childNodes[0].clientWidth;
    console.log("menu_width:"+menu_width);
    var news_height = document.getElementById("J_news_list").childNodes[0].clientHeight;
    console.log("news_height:"+news_height);
	setPageInfo(menu_width, news_height);
	
}

getNewsUrls();